import type { PropertyValues } from 'lit';
import { Component } from '../component';
import '../icon';
export interface AccordionProps {
    disabled?: boolean;
    expanded?: boolean;
}
export interface AccordionToggleEventDetails {
    name: 'accordion';
    value: boolean;
}
export declare class Accordion extends Component implements AccordionProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        expanded: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    /**
     * Should the accordion be disabled
     */
    disabled: AccordionProps['disabled'];
    /**
     * Accordion expand status
     */
    expanded: AccordionProps['expanded'];
    /**
     * Scrollable height for Accordion Panel
     */
    private panelHeight;
    /**
     * Resize observer for panel height changes
     */
    private resizeObserver;
    static define(): void;
    constructor();
    firstUpdated(): void;
    update(changedProperties: PropertyValues): void;
    disconnectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-accordion': Accordion;
    }
}
