import type { PropertyValues } from 'lit';
import { Button } from '../button';
import type { ButtonProps } from '../button';
import '../icon';
export interface BackButtonProps extends ButtonProps {
    label?: string;
}
export declare class BackButton extends Button {
    #private;
    static get properties(): {
        label: {
            type: StringConstructor;
        };
        loading: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        variant: {
            type: StringConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
        type: {
            type: StringConstructor;
            reflect: boolean;
        };
        formaction: {
            type: StringConstructor;
        };
        formenctype: {
            type: StringConstructor;
        };
        formmethod: {
            type: StringConstructor;
        };
        formnovalidate: {
            type: BooleanConstructor;
        };
        formtarget: {
            type: StringConstructor;
        };
        href: {
            type: StringConstructor;
            reflect: boolean;
        };
        target: {
            type: StringConstructor;
        };
        download: {
            type: StringConstructor;
        };
    };
    /**
     * Button label. This will be used as the internal button's `aria-label`.
     */
    label: BackButtonProps['label'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    renderContent(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-back-button': BackButton;
    }
}
