import { Component } from '../component';
export type BadgeSize = 'small' | 'default';
export type BadgeCountPlacement = 'top-left' | 'top-right';
export interface BadgeProps {
    counter: number;
    placement?: BadgeCountPlacement;
    size?: BadgeSize;
}
export declare class Badge extends Component {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        counter: {
            type: NumberConstructor;
            reflect: boolean;
        };
        placement: {
            type: StringConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    /**
     * Number count.
     */
    counter: BadgeProps['counter'];
    /**
     * Number count placement.
     */
    placement?: BadgeProps['placement'];
    /**
     * Badge size.
     */
    size?: BadgeProps['size'];
    static define(): void;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-badge': Badge;
    }
}
