import type { PropertyValues } from 'lit';
import { Component } from '../component';
import '../icon';
export type CloseButtonSize = 'small' | 'default' | 'large';
export interface CloseButtonProps {
    controls?: string;
    disabled?: boolean;
    inverted?: boolean;
    label?: string;
    size?: CloseButtonSize;
}
export declare class CloseButton extends Component implements CloseButtonProps {
    #private;
    static shadowRootOptions: {
        delegatesFocus: boolean;
        mode: ShadowRootMode;
        serializable?: boolean;
        slotAssignment?: SlotAssignmentMode;
    };
    static styles: import("lit").CSSResult[];
    static get properties(): {
        controls: {
            type: StringConstructor;
        };
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        inverted: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        label: {
            type: StringConstructor;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    /**
     * Id of the element being controlled by the close button.
     */
    controls: CloseButtonProps['controls'];
    /**
     * Determine if the button will be disabled.
     */
    disabled: CloseButtonProps['disabled'];
    /**
     * Determine if the button will be displayed with inverted colors.
     */
    inverted: CloseButtonProps['inverted'];
    /**
     * Button label.
     */
    label: CloseButtonProps['label'];
    /**
     * Text field size. Defaults to 'default'.
     */
    size: CloseButtonProps['size'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    get button(): HTMLButtonElement | null;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-close-button': CloseButton;
    }
}
