import { LitElement } from 'lit';
type ComponentDefinitionConfig = {
    name: string;
    constructor: CustomElementConstructor;
};
export declare class Component extends LitElement {
    protected internals: ElementInternals | null;
    static define(config: ComponentDefinitionConfig): void;
    constructor();
    protected emit: <T>(eventName: string, options?: CustomEventInit<T>) => void;
    /**
     * Re-dispatches an event.
     * This function is useful for forwarding non-composed events, such as `change`
     * events.
     *
     * @example
     * class MyInput extends LitElement {
     *   render() {
     *     return html`<input @change=${this.reemit}>`;
     *   }
     *
     * }
     *
     * @param event The event to re-dispatch.
     */
    protected reemit: <E extends Event>(event: E) => void;
}
export {};
