import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { DialogProps } from './dialog.types';
export declare class Dialog extends Component implements DialogProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        open: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
        variant: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    /**
     * Determine if the dialog is open or closed
     */
    open: Required<DialogProps['open']>;
    /**
     * Determines the size of the dialog
     */
    size: DialogProps['size'];
    /**
     * Determines the style of the dialog
     */
    variant: DialogProps['variant'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    updated(changedProperties: PropertyValues<this>): void;
    /**
     * Make the dialog visible
     */
    show(): void;
    /**
     * Hide the dialog
     */
    hide(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-dialog': Dialog;
    }
}
