import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { DrawerProps } from './drawer.types';
export declare class Drawer extends Component {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        open: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
        divided: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    /**
     * Determines if the drawer is open or closed
     */
    open: Required<DrawerProps['open']>;
    /**
     * Determines the size of the drawer
     */
    size: DrawerProps['size'];
    /**
     * Determines if the header and actions should have a divider and the body should have the secondary background.
     */
    divided: DrawerProps['divided'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    updated(changedProperties: PropertyValues<this>): void;
    /**
     * Make the drawer visible
     */
    show(): void;
    /**
     * Hide the drawer
     */
    hide(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-drawer': Drawer;
    }
}
