import type { PropertyValues } from 'lit';
import { Component } from '../component';
export interface DropdownItemProps {
    disabled?: boolean;
    destructive?: boolean;
}
declare const DropdownItem_base: typeof Component;
export declare class DropdownItem extends DropdownItem_base implements DropdownItemProps {
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        destructive: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    /**
     * Should the menu item be disabled?
     */
    disabled: DropdownItemProps['disabled'];
    /**
     * Should the menu item represent a destructive action?
     */
    destructive: DropdownItemProps['destructive'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    protected handleClick: (event: MouseEvent) => void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-dropdown-item': DropdownItem;
    }
}
export {};
