import type { PropertyValues } from 'lit';
import { BaseLayout } from '../base-layout';
import type { BoxProps } from './box.types';
export declare class Box extends BaseLayout implements BoxProps {
    protected static CSSPropertiesPrefix: string;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        backgroundColor: {
            type: StringConstructor;
            attribute: string;
        };
        borderRadius: {
            type: StringConstructor;
            attribute: string;
        };
        borderWidth: {
            type: StringConstructor;
            attribute: string;
        };
        borderColor: {
            type: StringConstructor;
            attribute: string;
        };
        textAlign: {
            type: StringConstructor;
            attribute: string;
        };
        padding: {
            type: StringConstructor;
        };
        paddingX: {
            type: StringConstructor;
            attribute: string;
        };
        paddingY: {
            type: StringConstructor;
            attribute: string;
        };
        paddingT: {
            type: StringConstructor;
            attribute: string;
        };
        paddingB: {
            type: StringConstructor;
            attribute: string;
        };
        paddingL: {
            type: StringConstructor;
            attribute: string;
        };
        paddingR: {
            type: StringConstructor;
            attribute: string;
        };
    };
    backgroundColor: BoxProps['backgroundColor'];
    borderRadius: BoxProps['borderRadius'];
    borderWidth: BoxProps['borderWidth'];
    borderColor: BoxProps['borderColor'];
    textAlign: BoxProps['textAlign'];
    getCSSPropertiesPrefix(): string;
    static define(): void;
    protected update(changedProperties: PropertyValues<BoxProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-box': Box;
    }
}
