import type { SpacingTokenWithNone, ColorToken, BorderRadiusToken, BorderWidthToken } from '@loadsmart/miranda-tokens';
import type { BaseLayoutProps } from '../base-layout/base-layout.types';
export type BoxProps = BaseLayoutProps & {
    /**
     * Spacing token for padding.
     * @default 'spacing-4'
     */
    padding?: SpacingTokenWithNone;
    /**
     * Color token for background-color. If not provided, the background would be transparent.
     */
    backgroundColor?: ColorToken;
    /**
     * Border token for border-radius.
     * @default 'border-radius-s'
     */
    borderRadius?: BorderRadiusToken;
    /**
     * Border token for border-width.
     * @default 'border-none'
     */
    borderWidth?: BorderWidthToken;
    /**
     * Color token for border.
     * @default 'color-background-highlight'
     */
    borderColor?: ColorToken;
    /**
     * Text alignment value.
     * @default 'left'
     */
    textAlign?: 'left' | 'center' | 'right';
};
