import type { PropertyValues } from 'lit';
import { BaseLayout } from '../base-layout';
import type { GridProps } from './grid.types';
export declare class Grid extends BaseLayout implements GridProps {
    protected static CSSPropertiesPrefix: string;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        gap: {
            type: StringConstructor;
        };
        rowGap: {
            type: StringConstructor;
            attribute: string;
        };
        columnGap: {
            type: StringConstructor;
            attribute: string;
        };
        minColumnWidth: {
            type: StringConstructor;
            attribute: string;
        };
        padding: {
            type: StringConstructor;
        };
        paddingX: {
            type: StringConstructor;
            attribute: string;
        };
        paddingY: {
            type: StringConstructor;
            attribute: string;
        };
        paddingT: {
            type: StringConstructor;
            attribute: string;
        };
        paddingB: {
            type: StringConstructor;
            attribute: string;
        };
        paddingL: {
            type: StringConstructor;
            attribute: string;
        };
        paddingR: {
            type: StringConstructor;
            attribute: string;
        };
    };
    gap: GridProps['gap'];
    rowGap: GridProps['rowGap'];
    columnGap: GridProps['columnGap'];
    minColumnWidth: GridProps['minColumnWidth'];
    getCSSPropertiesPrefix(): string;
    static define(): void;
    protected update(changedProperties: PropertyValues<GridProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-grid': Grid;
    }
}
