import type { SpacingTokenWithNone } from '@loadsmart/miranda-tokens';
import type { BaseLayoutProps } from '../base-layout/base-layout.types';
export type GridProps = BaseLayoutProps & {
    /**
     * Spacing token for the grid gap.
     * @default 'spacing-4'
     */
    gap?: SpacingTokenWithNone;
    /**
     * Spacing token for the vertical grid gap.
     */
    rowGap?: SpacingTokenWithNone;
    /**
     * Spacing token for the horizontal grid gap.
     */
    columnGap?: SpacingTokenWithNone;
    /**
     * Value for the minimum width applied to the grid template columns.
     * @default 'value for spacing-30 token'
     */
    minColumnWidth?: string;
};
export type GridAttributes = Pick<GridProps, 'gap'> & {
    'row-gap': GridProps['rowGap'];
    'column-gap': GridProps['columnGap'];
    'min-column-width': GridProps['minColumnWidth'];
};
