import type { PropertyValues } from 'lit';
import { BaseLayout } from '../base-layout';
import type { GroupProps } from './group.types';
export declare class Group extends BaseLayout implements GroupProps {
    protected static CSSPropertiesPrefix: string;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        gap: {
            type: StringConstructor;
        };
        align: {
            type: StringConstructor;
        };
        justify: {
            type: StringConstructor;
        };
        padding: {
            type: StringConstructor;
        };
        paddingX: {
            type: StringConstructor;
            attribute: string;
        };
        paddingY: {
            type: StringConstructor;
            attribute: string;
        };
        paddingT: {
            type: StringConstructor;
            attribute: string;
        };
        paddingB: {
            type: StringConstructor;
            attribute: string;
        };
        paddingL: {
            type: StringConstructor;
            attribute: string;
        };
        paddingR: {
            type: StringConstructor;
            attribute: string;
        };
    };
    gap: GroupProps['gap'];
    align: GroupProps['align'];
    justify: GroupProps['justify'];
    getCSSPropertiesPrefix(): string;
    static define(): void;
    protected update(changedProperties: PropertyValues<GroupProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-group': Group;
    }
}
