import type { SpacingTokenWithNone } from '@loadsmart/miranda-tokens';
import type { JustifyContentValue, AlignItemsValue } from '../layout.types';
import type { BaseLayoutProps } from '../base-layout/base-layout.types';
export type GroupProps = BaseLayoutProps & {
    /**
     * Spacing token for the gap between the children.
     * @default 'spacing-4'
     */
    gap?: SpacingTokenWithNone;
    /**
     * Value for align-items.
     * @default 'stretch'
     */
    align?: AlignItemsValue;
    /**
     * Value for justify-content.
     * @default 'flex-start'
     */
    justify?: JustifyContentValue;
};
export type GroupAttributes = GroupProps;
