import type { SpacingTokenWithNone } from '@loadsmart/miranda-tokens';
export type RowProps = {
    /**
     * Spacing token for the gap between columns **and** rows, when columns wrap.
     */
    gap?: SpacingTokenWithNone;
    /**
     * Spacing token for the gap between columns.
     */
    columnGap?: SpacingTokenWithNone;
    /**
     * Spacing token for the gap between rows when columns wrap.
     */
    rowGap?: SpacingTokenWithNone;
};
export type ColumnSize = '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' | '10' | '11' | '12';
export type ColumnProps = {
    sm?: ColumnSize;
    md?: ColumnSize;
    lg?: ColumnSize;
    offsetSm: ColumnSize;
    offsetMd?: ColumnSize;
    offsetLg?: ColumnSize;
};
