import type { PropertyValues } from 'lit';
import { BaseLayout } from '../base-layout';
import type { SidebarProps } from './sidebar.types';
export declare class Sidebar extends BaseLayout implements SidebarProps {
    protected static CSSPropertiesPrefix: string;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        gap: {
            type: StringConstructor;
        };
        sideWidth: {
            type: StringConstructor;
            attribute: string;
        };
        minContentWidth: {
            type: StringConstructor;
            attribute: string;
        };
        reversed: {
            type: BooleanConstructor;
        };
        padding: {
            type: StringConstructor;
        };
        paddingX: {
            type: StringConstructor;
            attribute: string;
        };
        paddingY: {
            type: StringConstructor;
            attribute: string;
        };
        paddingT: {
            type: StringConstructor;
            attribute: string;
        };
        paddingB: {
            type: StringConstructor;
            attribute: string;
        };
        paddingL: {
            type: StringConstructor;
            attribute: string;
        };
        paddingR: {
            type: StringConstructor;
            attribute: string;
        };
    };
    gap: SidebarProps['gap'];
    sideWidth: SidebarProps['sideWidth'];
    minContentWidth: SidebarProps['minContentWidth'];
    reversed: SidebarProps['reversed'];
    static define(): void;
    constructor();
    getCSSPropertiesPrefix(): string;
    protected update(changedProperties: PropertyValues<SidebarProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-sidebar': Sidebar;
    }
}
