import type { SpacingTokenWithNone } from '@loadsmart/miranda-tokens';
import type { BaseLayoutProps } from '../base-layout/base-layout.types';
export type SidebarProps = BaseLayoutProps & {
    /**
     * Spacing token for the gap between the sidebar and the content.
     * @default 'spacing-4'
     */
    gap?: SpacingTokenWithNone;
    /**
     * The width value for the sidebar.
     * @default 'auto'
     */
    sideWidth?: string;
    /**
     * The minimum width value for the content.
     * @default '50%'
     */
    minContentWidth?: string;
    /**
     * If true, the flex-direction for the container will be row-reversed.
     * @default 'false'
     */
    reversed?: boolean;
};
export type SidebarAttributes = Pick<SidebarProps, 'gap' | 'reversed'> & {
    'side-width': SidebarProps['sideWidth'];
    'min-content-width': SidebarProps['minContentWidth'];
};
