import type { PropertyValues } from 'lit';
import { BaseLayout } from '../base-layout';
import type { SwitcherProps } from './switcher.types';
export declare class Switcher extends BaseLayout implements SwitcherProps {
    protected static CSSPropertiesPrefix: string;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        gap: {
            type: StringConstructor;
        };
        rowGap: {
            type: StringConstructor;
            attribute: string;
        };
        columnGap: {
            type: StringConstructor;
            attribute: string;
        };
        threshold: {
            type: StringConstructor;
        };
        limit: {
            type: NumberConstructor;
        };
        padding: {
            type: StringConstructor;
        };
        paddingX: {
            type: StringConstructor;
            attribute: string;
        };
        paddingY: {
            type: StringConstructor;
            attribute: string;
        };
        paddingT: {
            type: StringConstructor;
            attribute: string;
        };
        paddingB: {
            type: StringConstructor;
            attribute: string;
        };
        paddingL: {
            type: StringConstructor;
            attribute: string;
        };
        paddingR: {
            type: StringConstructor;
            attribute: string;
        };
    };
    gap: SwitcherProps['gap'];
    rowGap: SwitcherProps['rowGap'];
    columnGap: SwitcherProps['columnGap'];
    threshold: SwitcherProps['threshold'];
    limit: SwitcherProps['limit'];
    getCSSPropertiesPrefix(): string;
    static define(): void;
    protected update(changedProperties: PropertyValues<SwitcherProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-switcher': Switcher;
    }
}
