import type { SpacingTokenWithNone } from '@loadsmart/miranda-tokens';
import type { BaseLayoutProps } from '../base-layout/base-layout.types';
export type SwitcherProps = BaseLayoutProps & {
    /**
     * Spacing token for the gap between the children.
     * @default 'spacing-4'
     */
    gap?: SpacingTokenWithNone;
    /**
     * Spacing token for the vertical gap between the children.
     */
    rowGap?: SpacingTokenWithNone;
    /**
     * Spacing token for the horizontal gap between the children.
     */
    columnGap?: SpacingTokenWithNone;
    /**
     * A css value representing the container breakpoint.
     * @default '10rem'
     */
    threshold?: string;
    /**
     * The maximum number of items allowed in the horizontal layout.
     */
    limit?: number;
};
export type SwitcherAttributes = Omit<SwitcherProps, 'rowGap' | 'columnGap'> & {
    'row-gap': SwitcherProps['rowGap'];
    'column-gap': SwitcherProps['columnGap'];
};
