import { Component } from '../component';
import '../layout';
import '../icon';
import '../button';
import '../text';
export interface PaginationChangeEventDetails {
    page: number;
    pageSize: number;
}
export interface PaginationProps {
    count: number;
    page: number;
    pageSize?: number;
    disabled?: boolean;
    onpaginationchange?: (event: CustomEvent<PaginationChangeEventDetails>) => void;
}
export declare class Pagination extends Component implements PaginationProps {
    static styles: import("lit").CSSResult[];
    static define(): void;
    static get properties(): {
        count: {
            type: NumberConstructor;
        };
        page: {
            type: NumberConstructor;
        };
        pageSize: {
            type: NumberConstructor;
            attribute: string;
        };
        disabled: {
            type: BooleanConstructor;
        };
    };
    /**
     * Total item count.
     */
    count: PaginationProps['count'];
    /**
     * The current selected page.
     * @default 0
     */
    page: PaginationProps['page'];
    /**
     * The amount of items per page.
     * @default 100
     */
    pageSize: number;
    /**
     * Should the buttons be disabled.
     */
    disabled: PaginationProps['disabled'];
    constructor();
    private getPage;
    private setPage;
    private getPageSize;
    private get totalPages();
    private get lastPage();
    private get pageLabel();
    private hasPrev;
    private hasNext;
    private goToNext;
    private goToPrev;
    private goToLast;
    private goToFist;
    private handleChange;
    private isPrevDisabled;
    private isNextDisabled;
    private renderActions;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-pagination': Pagination;
    }
}
