export declare function supportsPopover(): boolean;
export interface PopoverHTMLElement extends HTMLElement {
    showPopover: () => void;
    hidePopover: () => void;
}
/**
 * Checks if the given element is a popover (i.e. uses the Popover).
 */
export declare function isPopover(element: HTMLElement | null): element is PopoverHTMLElement;
/**
 * Get manually calculated offset because floating-ui's offset middleware fails
 * to calculate the correct offset when the reference is small.
 */
export declare function getPositionOffset(arrow: boolean, direction: 'top' | 'bottom' | 'left' | 'right', offset: number): string;
