import { Component } from '../component';
export type ProgressBarVariant = 'default' | 'success' | 'warning' | 'danger';
export interface ProgressBarProps {
    variant?: ProgressBarVariant;
    value: number;
    max: number;
}
export declare class ProgressBar extends Component implements ProgressBarProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        variant: {
            type: StringConstructor;
            reflect: boolean;
        };
        value: {
            type: NumberConstructor;
            reflect: boolean;
        };
        max: {
            type: NumberConstructor;
            reflect: boolean;
        };
    };
    /**
     * ProgressBar variant.
     */
    variant: ProgressBarProps['variant'];
    /**
     * Specifies how much of the task that has been completed.
     */
    value: ProgressBarProps['value'];
    /**
     * Describes how much work the task indicated by the progress element requires.
     */
    max: ProgressBarProps['max'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    protected updated(): void;
    get percentage(): number;
    protected get currentVariant(): ProgressBarVariant | undefined;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-progress-bar': ProgressBar;
    }
}
