import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { FormComponentProps } from '../component';
export interface RadioProps extends FormComponentProps {
    checked?: boolean;
    value: string;
}
declare const Radio_base: import("../../utils/types").Constructor<import("../component/form-component.mixin").WithFormComponentMixinInterface> & typeof Component;
export declare class Radio extends Radio_base implements RadioProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        checked: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        value: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    /**
     * Value of the button, raised with the event.
     */
    value: RadioProps['value'];
    /**
     * The button initial state
     */
    checked: RadioProps['checked'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    formResetCallback(): void;
    formStateRestoreCallback(state: unknown): void;
    formDisabledCallback(disabled: boolean): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-radio': Radio;
    }
}
export {};
