import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { FormComponentProps } from '../component';
import '../icon';
export interface SelectOptionProps extends FormComponentProps {
    selected?: boolean;
    value: string;
    destructive?: boolean;
}
declare const SelectOption_base: import("../../utils/types").Constructor<import("../component/form-component.mixin").WithFormComponentMixinInterface> & typeof Component;
export declare class SelectOption extends SelectOption_base implements SelectOptionProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        selected: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        value: {
            type: StringConstructor;
            reflect: boolean;
        };
        destructive: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    /**
     * Value of the button, raised with the event.
     */
    value: SelectOptionProps['value'];
    /**
     * The button initial state
     */
    selected: SelectOptionProps['selected'];
    /**
     * Should the option represent a destructive action?
     */
    destructive: SelectOptionProps['destructive'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    get label(): string;
    get leading(): Element;
    get trailing(): Element;
    formResetCallback(): void;
    formStateRestoreCallback(state: unknown): void;
    formDisabledCallback(disabled: boolean): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-option': SelectOption;
    }
}
export {};
