import { Component } from '../component';
import '../icon';
export interface StepProps {
    name: string;
    order?: string;
    completed?: boolean;
}
export declare class Step extends Component {
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        name: {
            type: StringConstructor;
            reflect: boolean;
        };
        order: {
            type: StringConstructor;
        };
        completed: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        'aria-current': {
            type: BooleanConstructor;
        };
    };
    /**
     * Name of the step.
     */
    name: StepProps['name'];
    /**
     * Is this step completed?
     */
    completed: StepProps['completed'];
    /**
     * Order of the step.
     */
    order: StepProps['order'];
    static define(): void;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-step': Step;
    }
}
