import type { PropertyValues } from 'lit';
import { Component } from '../component';
export type StepChangeEventDetail = {
    active: string;
};
export type StepNavigateEventDetail = {
    step: string;
};
export type StepsProps = {
    /**
     * Controlled value of the selected step.
     */
    activeStep?: string;
    onstepchange?: (event: CustomEvent<StepChangeEventDetail>) => void;
    onstepcomplete?: (event: CustomEvent) => void;
    onnavigate?: (event: CustomEvent<StepNavigateEventDetail>) => void;
    onnavigatenext?: (event: CustomEvent) => void;
    onnavigateprevious?: (event: CustomEvent) => void;
};
export declare class Steps extends Component implements StepsProps {
    #private;
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        activeStep: {
            type: StringConstructor;
            attribute: string;
            reflect: boolean;
        };
    };
    /**
     * Controlled value of the selected step.
     */
    activeStep: StepsProps['activeStep'];
    static define(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-steps': Steps;
    }
}
