import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { TableCellProps } from './table.types';
export declare const defaultTableCellProps: {
    readonly align: "center";
    readonly justify: "flex-start";
    readonly textAlign: "left";
};
export declare class TableCell extends Component implements TableCellProps {
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        align: {
            type: StringConstructor;
            reflect: boolean;
        };
        colspan: {
            type: NumberConstructor;
            reflect: boolean;
        };
        justify: {
            type: StringConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        textAlign: {
            type: StringConstructor;
            reflect: boolean;
            attribute: string;
        };
    };
    align: TableCellProps['align'];
    justify: TableCellProps['justify'];
    colspan: TableCellProps['colspan'];
    textAlign: TableCellProps['textAlign'];
    static define(): void;
    connectedCallback(): void;
    update(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-cell-v2': TableCell;
    }
}
