import type { PropertyValues } from 'lit';
import { Component } from '../component';
import '../icon';
import type { TableHeadCellProps } from './table.types';
export declare const defaultTableHeadCellProps: {
    readonly align: "center";
    readonly justify: "flex-start";
    readonly sortable: false;
    readonly sortDirection: undefined;
    readonly disabled: false;
    readonly textAlign: "left";
};
export declare class TableHeadCell extends Component implements TableHeadCellProps {
    #private;
    static styles: (import("lit").CSSResult | import("lit").CSSResult[])[][];
    static get properties(): {
        align: {
            type: StringConstructor;
            reflect: boolean;
        };
        justify: {
            type: StringConstructor;
            reflect: boolean;
        };
        colspan: {
            type: NumberConstructor;
            reflect: boolean;
        };
        columnId: {
            type: StringConstructor;
            attribute: string;
        };
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        sortable: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        sortDirection: {
            type: StringConstructor;
            attribute: string;
        };
        textAlign: {
            type: StringConstructor;
            attribute: string;
        };
        width: {
            type: StringConstructor;
        };
    };
    align: TableHeadCellProps['align'];
    justify: TableHeadCellProps['justify'];
    colspan: TableHeadCellProps['colspan'];
    columnId: TableHeadCellProps['columnId'];
    sortable: TableHeadCellProps['sortable'];
    sortDirection: TableHeadCellProps['sortDirection'];
    textAlign: TableHeadCellProps['textAlign'];
    disabled: TableHeadCellProps['disabled'];
    width: TableHeadCellProps['width'];
    oncolumnsort: TableHeadCellProps['oncolumnsort'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected update(changedProperties: PropertyValues<TableHeadCellProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-head-cell-v2': TableHeadCell;
    }
}
