import { Component } from '../component';
import type { TableRowProps } from './table.types';
import './table-row-select';
import './table-row-expand';
declare const TableRow_base: typeof Component;
export declare class TableRow extends TableRow_base {
    #private;
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        value: {
            type: StringConstructor;
            reflect: boolean;
        };
        initialExpanded: {
            type: BooleanConstructor;
            attribute: string;
            reflect: boolean;
        };
        gridColumns: {
            type: StringConstructor;
            state: boolean;
        };
        isTableSelectable: {
            type: BooleanConstructor;
            state: boolean;
        };
        isTableExpandable: {
            type: BooleanConstructor;
            state: boolean;
        };
        isHovered: {
            type: BooleanConstructor;
            state: boolean;
        };
    };
    value: TableRowProps['value'];
    initialExpanded: TableRowProps['initialExpanded'];
    gridColumns: string;
    isTableSelectable: boolean;
    isTableExpandable: boolean;
    isHovered: boolean;
    static define(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
    get indeterminate(): boolean;
    get selected(): boolean;
    get expanded(): boolean;
    get isHeaderRow(): boolean;
    get isFooterRow(): boolean;
    get hasExpansionContent(): boolean;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-row-v2': TableRow;
    }
}
export {};
