import type { PropertyValues } from 'lit';
import { fromAttribute } from '../../controllers/selection';
import { Component } from '../component';
import type { TableProps } from './table.types';
export declare const defaultTableProps: {
    readonly size: "default";
};
declare const Table_base: import("../../utils/types").Constructor<import("../../controllers/selection/selection-control.mixin").WithSelectionControlMixinInterface> & typeof Component;
export declare class Table extends Table_base implements TableProps {
    #private;
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
        selectable: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        expandable: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        initialSelected: {
            type: StringConstructor;
            attribute: string;
            fromAttribute: typeof fromAttribute;
            reflect: boolean;
        };
        initialExpanded: {
            type: StringConstructor;
            attribute: string;
            fromAttribute: typeof fromAttribute;
            reflect: boolean;
        };
    };
    size: TableProps['size'];
    initialSelected: TableProps['initialSelected'];
    initialExpanded: TableProps['initialExpanded'];
    selectable: TableProps['selectable'];
    expandable: TableProps['expandable'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    firstUpdated(): void;
    updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-v2': Table;
    }
}
export {};
