import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { TableCellProps } from './table.types';
export declare const defaultTableCellProps: {
    readonly alignment: "left";
    readonly verticalAlign: "middle";
};
export declare class TableCell extends Component implements TableCellProps {
    static styles: import("lit").CSSResult[];
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        alignment: {
            type: StringConstructor;
        };
        verticalAlign: {
            type: StringConstructor;
            attribute: string;
        };
    };
    alignment: TableCellProps['alignment'];
    verticalAlign: TableCellProps['verticalAlign'];
    static define(): void;
    constructor();
    /**
     * TODO: This role validation is not necessary anymore since we have a dedicated table-head-cell now.
     * We can remove it for the next major release to avoid breaking changes.
     */
    protected firstUpdated(): void;
    protected update(changedProperties: PropertyValues<TableCellProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-cell': TableCell;
    }
}
