import type { PropertyValues } from 'lit';
import '../icon';
import { Component } from '../component';
import type { TableHeadCellProps } from './table.types';
export declare const defaultTableHeadCellProps: {
    readonly alignment: "left";
    readonly verticalAlign: "middle";
    readonly sortable: false;
    readonly sortDirection: undefined;
    readonly disabled: false;
};
export declare class TableHeadCell extends Component implements TableHeadCellProps {
    #private;
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        alignment: {
            type: StringConstructor;
        };
        verticalAlign: {
            type: StringConstructor;
            attribute: string;
        };
        columnId: {
            type: StringConstructor;
            attribute: string;
        };
        sortable: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        sortDirection: {
            type: StringConstructor;
            attribute: string;
        };
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    alignment: TableHeadCellProps['alignment'];
    verticalAlign: TableHeadCellProps['verticalAlign'];
    columnId: TableHeadCellProps['columnId'];
    sortable: TableHeadCellProps['sortable'];
    sortDirection: TableHeadCellProps['sortDirection'];
    disabled: TableHeadCellProps['disabled'];
    oncolumnsort: TableHeadCellProps['oncolumnsort'];
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected update(changedProperties: PropertyValues<TableHeadCellProps>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table-head-cell': TableHeadCell;
    }
}
