import type { TableProps } from './table.types';
import '../layout';
import type { SelectionState, SelectionType } from '../../controllers/selection';
import { Component } from '../component';
export declare const defaultTableProps: {
    readonly size: "default";
};
declare const Table_base: import("../../utils/types").Constructor<import("../../controllers/selection/selection-control.mixin").WithSelectionControlMixinInterface> & typeof Component;
export declare class Table extends Table_base implements TableProps {
    static styles: import("lit").CSSResult[];
    private selectionController;
    private provider;
    static get properties(): {
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
        initialSelection: {
            type: ArrayConstructor;
        };
    };
    initialSelection: TableProps['initialSelection'];
    size: TableProps['size'];
    /**
     * Type of selection to be managed.
     * It is necessary due to eligibility as a SelectionHost for the SelectionController.
     */
    type: SelectionType;
    /**
     * Inner tab selection state.
     */
    selection: SelectionState;
    static define(): void;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    handleCopy: (event: ClipboardEvent) => void;
    protected firstUpdated(): void;
    private emitEvent;
    private updateProviderSelection;
    private registerRows;
    private handleRowSelection;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-table': Table;
    }
}
export {};
