import type { PropertyValues } from 'lit';
import type { TabPanelProps } from './tabs.types';
import { Box } from '../layout';
export declare class TabPanel extends Box implements TabPanelProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        forTab: {
            type: StringConstructor;
            attribute: string;
        };
        lazy: {
            type: BooleanConstructor;
        };
        backgroundColor: {
            type: StringConstructor;
            attribute: string;
        };
        borderRadius: {
            type: StringConstructor;
            attribute: string;
        };
        borderWidth: {
            type: StringConstructor;
            attribute: string;
        };
        borderColor: {
            type: StringConstructor;
            attribute: string;
        };
        textAlign: {
            type: StringConstructor;
            attribute: string;
        };
        padding: {
            type: StringConstructor;
        };
        paddingX: {
            type: StringConstructor;
            attribute: string;
        };
        paddingY: {
            type: StringConstructor;
            attribute: string;
        };
        paddingT: {
            type: StringConstructor;
            attribute: string;
        };
        paddingB: {
            type: StringConstructor;
            attribute: string;
        };
        paddingL: {
            type: StringConstructor;
            attribute: string;
        };
        paddingR: {
            type: StringConstructor;
            attribute: string;
        };
    };
    /**
     * The name of the tab that controls this panel.
     */
    forTab: TabPanelProps['forTab'];
    /**
     * If set to true, the content will only be rendered if the tab is selected.
     * Otherwise it's just hidden.
     */
    lazy: TabPanelProps['lazy'];
    /**
     * Determines whether the tab panel is selected.
     */
    private selected;
    /**
     * MutationObserver for the tab related to this panel.
     */
    private tabObserver;
    static define(): void;
    constructor();
    getRelatedTabNode(): Element;
    observeTab(): void;
    connectedCallback(): void;
    firstUpdated(): void;
    disconnectedCallback(): void;
    protected updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-tab-panel': TabPanel;
    }
}
