import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { TabProps } from './tabs.types';
export declare class Tab extends Component implements TabProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        name: {
            type: StringConstructor;
            reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        slot: {
            type: StringConstructor;
            reflect: boolean;
        };
        lazy: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    lazy?: boolean;
    slot: string;
    /**
     * Name of the tab, raised with the event.
     */
    name: TabProps['name'];
    /**
     * Should the button be disabled.
     */
    disabled: TabProps['disabled'];
    private tabs;
    static define(): void;
    constructor();
    connectedCallback(): void;
    protected updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    focus(options?: FocusOptions | undefined): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-tab': Tab;
    }
}
