import { Component } from '../component';
export type TagVariant = 'success' | 'neutral' | 'warning' | 'danger' | 'info';
export type TagSize = 'small' | 'default' | 'large';
export interface TagProps {
    variant?: TagVariant;
    size?: TagSize;
    isSkeleton?: boolean;
}
export declare class Tag extends Component implements TagProps {
    static styles: (import("lit").CSSResult | import("lit").CSSResult[])[][];
    static get properties(): {
        variant: {
            type: StringConstructor;
        };
        size: {
            type: StringConstructor;
        };
        isSkeleton: {
            type: BooleanConstructor;
            attribute: string;
        };
    };
    /**
     * Tag variant.
     */
    variant: TagVariant;
    /**
     * Tag size.
     */
    size: TagSize;
    /**
     * Tag skeleton loader.
     */
    isSkeleton: boolean;
    static define(): void;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-tag': Tag;
    }
}
