import type { PropertyValues } from 'lit';
import '../icon';
import type { TimelineItemProps } from './timeline-item';
import { Component } from '../component';
export interface TimelineExpandableItemProps extends TimelineItemProps {
    expanded?: boolean;
}
export interface TimelineItemToggleEventDetails {
    name: 'timeline-item-expanded';
    value: boolean;
}
export declare class TimelineExpandableItem extends Component implements TimelineExpandableItemProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        completed: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        active: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        variant: {
            type: StringConstructor;
            reflect: boolean;
        };
        expanded: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        divider: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    /**
     * Is this entry completed?
     */
    completed: TimelineExpandableItemProps['completed'];
    /**
     * Is this entry the active one?
     */
    active: TimelineExpandableItemProps['active'];
    /**
     * Should this entry render a bottom divider?
     */
    divider: TimelineItemProps['divider'];
    /**
     * Timeline event style variant.
     */
    variant: TimelineExpandableItemProps['variant'];
    /**
     * Item expand status
     */
    expanded: TimelineExpandableItemProps['expanded'];
    /**
     * Scrollable height for item body
     */
    private bodyHeight;
    /**
     * Resize observer for item body height changes
     */
    private resizeObserver;
    static define(): void;
    connectedCallback(): void;
    firstUpdated(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    updated(changedProperties: PropertyValues<this>): void;
    disconnectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-timeline-expandable-item': TimelineExpandableItem;
    }
}
