import type { PropertyValues } from 'lit';
import { Component } from '../component';
import '../icon';
export type TimelineItemVariant = 'neutral' | 'warning';
export interface TimelineItemProps {
    completed?: boolean;
    active?: boolean;
    divider?: boolean;
    variant?: TimelineItemVariant;
}
export declare class TimelineItem extends Component implements TimelineItemProps {
    #private;
    static styles: import("lit").CSSResult[];
    static get properties(): {
        completed: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        active: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        divider: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        variant: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    /**
     * Is this entry completed?
     */
    completed: TimelineItemProps['completed'];
    /**
     * Is this entry the active one?
     */
    active: TimelineItemProps['active'];
    /**
     * Should this entry render a bottom divider?
     */
    divider: TimelineItemProps['divider'];
    /**
     * Timeline event style variant.
     */
    variant: TimelineItemProps['variant'];
    static define(): void;
    connectedCallback(): void;
    protected update(changedProperties: PropertyValues<this>): void;
    updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-timeline-item': TimelineItem;
    }
}
