import type { PropertyValues } from 'lit';
import { Component } from '../component';
import type { FormComponentProps } from '../component';
import '../icon';
export interface ToggleProps extends FormComponentProps {
    checked?: boolean;
    value: string;
}
declare const Toggle_base: import("../../utils/types").Constructor<import("../component/form-component.mixin").WithFormComponentMixinInterface> & typeof Component;
export declare class Toggle extends Toggle_base implements ToggleProps {
    #private;
    static shadowRootOptions: {
        delegatesFocus: boolean;
        mode: ShadowRootMode;
        serializable?: boolean;
        slotAssignment?: SlotAssignmentMode;
    };
    static styles: import("lit").CSSResult[][];
    static get properties(): {
        checked: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        role: {
            type: StringConstructor;
            reflect: boolean;
        };
        value: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    /**
     * Aria role
     */
    role: 'group' | 'radiogroup';
    /**
     * Should the toggle be selected.
     */
    checked: ToggleProps['checked'];
    /**
     * Value represented by this toggle.
     */
    value: ToggleProps['value'];
    static define(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected updated(changedProperties: PropertyValues<this>): void;
    render(): import("lit-html").TemplateResult<1>;
    get button(): HTMLButtonElement | null;
    formResetCallback(): void;
    formStateRestoreCallback(state: unknown): void;
    formDisabledCallback(disabled: boolean): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'm-toggle': Toggle;
    }
}
export {};
