import type { Token } from '@loadsmart/miranda-tokens';
export declare function toDesignToken(token: Token): string;
export declare function getHexColor(token: Token): string;
/**
 * Convert the provided value from `rem` to `px`.
 *
 * @example
 * ```js
 * // Considering 1rem = 16px
 * toPx('0.625rem'); // returns '10px'
 * toPx('1rem'); // returns '16px'
 * ```
 *
 * @param value value, in rem, to convert.
 * @param base value, in pixels, to be considered for `1rem`.
 * @returns value converted to `px`.
 *
 */
export declare function toPx(value: number | string, base?: number): string;
export declare function getThemeTokens(...filters: string[]): string[];
