import type { CSSResult } from 'lit';
export type MarginValue = string | number | CSSResult;
/**
 * Apply right margin.
 */
export declare function mr(margin: MarginValue): CSSResult;
/**
 * Apply left margin.
 */
export declare function ml(margin: MarginValue): CSSResult;
/**
 * Apply right/left margins.
 */
export declare function mx(margin: MarginValue): CSSResult;
/**
 * Apply top margin.
 */
export declare function mt(margin: MarginValue): CSSResult;
/**
 * Apply bottom margin.
 */
export declare function mb(margin: MarginValue): CSSResult;
/**
 * Apply top/bottom margins.
 */
export declare function my(margin: MarginValue): CSSResult;
/**
 * Apply right/left/top/bottom margins.
 */
export declare function m(margin: MarginValue): CSSResult;
