import type { CSSResult } from 'lit';
/**
 * Convert a screen media query config to its CSS equivalent.
 *
 * Receives the style content to be applied inside this media query setup.
 * Notice that we consume the raw token value for the media query because variables do not work in media or container queries.
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties MDN, Using CSS Custom Properties}
 */
export declare function mediaDesktop(content: CSSResult): CSSResult;
/**
 * Convert a screen media query config to its CSS equivalent.
 *
 * Receives the style content to be applied inside this media query setup.
 * Notice that we consume the raw token value for the media query because variables do not work in media or container queries.
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties MDN, Using CSS Custom Properties}
 */
export declare function mediaTablet(content: CSSResult): CSSResult;
