import type { CSSResult } from 'lit';
export type PaddingValue = string | number | CSSResult;
/**
 * Apply right padding.
 */
export declare function pr(padding: PaddingValue): CSSResult;
/**
 * Apply left padding.
 */
export declare function pl(padding: PaddingValue): CSSResult;
/**
 * Apply right/left paddings.
 */
export declare function px(padding: PaddingValue): CSSResult;
/**
 * Apply top padding.
 */
export declare function pt(padding: PaddingValue): CSSResult;
/**
 * Apply bottom padding.
 */
export declare function pb(padding: PaddingValue): CSSResult;
/**
 * Apply top/bottom paddings.
 */
export declare function py(padding: PaddingValue): CSSResult;
/**
 * Apply right/left/top/bottom paddings.
 */
export declare function p(padding: PaddingValue): CSSResult;
