import type { CSSResult } from 'lit';
import type { BorderToken, ElevationToken, FontFamilyToken, FontSizeToken, FontWeightToken, GlowToken, LineHeightToken, OpacityToken, SpacingToken, GlobalToken, MediaQueryToken } from '@loadsmart/miranda-tokens';
type NonColorToken = BorderToken | ElevationToken | FontFamilyToken | FontSizeToken | FontWeightToken | GlowToken | LineHeightToken | MediaQueryToken | OpacityToken | SpacingToken | GlobalToken;
/**
 * Get token as lit's `CSSResult`
 * @param token Miranda token
 */
declare function getToken(token: NonColorToken): CSSResult;
export default getToken;
