type LogFunction = (...args: unknown[]) => void;
interface Logger {
    debug: LogFunction;
    info: LogFunction;
    warn: LogFunction;
    error: LogFunction;
}
declare global {
    interface Window {
        __MIRANDA_ENABLE_LOGGING__: boolean;
    }
}
/**
 * Creates a logger object that contains four levels of logging: debug, info, warn, and error.
 * @param prefix kebab-case prefix to be added to the start of all log messages
 * @default prefix 'miranda'
 */
export declare function createLogger(prefix?: string): Logger;
declare const _default: Logger;
export default _default;
