import type { SelectionStrategy, SelectionStrategyCreationProps } from './selection-strategy.types';
export * from './selection-strategy.types';
/**
 * This strategy requires one or no item to be selected.
 */
export declare const SingleSelectionStrategy: () => SelectionStrategy;
/**
 * This strategy requires that once a selection is made,
 * one item has to be selected, always.
 */
export declare const SingleStrictSelectionStrategy: () => SelectionStrategy;
/**
 * This strategy requires one or no item to be selected.
 */
export declare const MultipleSelectionStrategy: () => SelectionStrategy;
declare function createSelectionStrategy(props: SelectionStrategyCreationProps): SelectionStrategy;
export default createSelectionStrategy;
