export interface ChangeEvent<T = Element> extends Event {
    target: EventTarget & T;
}
type EventHandler<E extends Event> = (event: E) => void;
export type ChangeEventHandler<T = Element> = EventHandler<ChangeEvent<T>>;
/**
 * This type allows you set possible values to be displayed on the autocomplete
 * at the same time that allows any string.
 */
export type LooseAutocomplete<T extends string> = T | Omit<string, T>;
export type Constructor<T = {}> = new (...args: any[]) => T;
export {};
